#1047 closed Bug (fixed)

Crash report 2020-04-20

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.1 - Release 2020.1
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 20/04/2020 19:37:23 (UTC time).
User message:

-
Exception:
System.Exception: adfgvx length is not even
   à ADFGVXAnalyzer.ADFGVX.decodeSubstitution(ADFGVXVector interim, Alphabet36Vector plain)
   à ADFGVXAnalyzer.Algorithm.eval(ADFGVX key)
   à ADFGVXAnalyzer.Algorithm.SANgramsIC()
   à System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   à System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   à System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   à System.Threading.ThreadHelper.ThreadStart(Object obj)

-
System infos:
Operating System: Windows 10 Home  (6.3.17763)
Processorname: Intel(R) Core(TM) i7-8750H CPU @ 2.20GHz
Processors: 12
Administrative Rights: False
Current culture: fr-FR
CrypTool version: 2.1.8800.1
Installation type: NSIS
Build type: Nightly
Build time: 17/04/2020 01:28:16
Product name: CrypTool 2.1 (Nightly Build 8800.1)
Common language runtime version: 4.0.30319.42000
System time: 21:37
Command line: "C:\Program Files\CrypTool 2\CrypWin.exe" 


Change History (1)

comment:1 Changed 21 months ago by kopal

Resolution: fixed
Status: newclosed

fixed by making the analyzer more robust with respect to its inputs and exceptions

Note: See TracTickets for help on using tickets.